$(function() {
	
	// 初始化加载校区
	$.ajax({
		type : 'POST',
		url : '../siteApplication/findOrganization',
		dataType : 'json',// 返回值类型 一般设置为json
		success : function(data) // 服务器成功响应处理函数
		{
			$("#organization").empty();
			var subs = data.msg;// 获取data中list的数组
			var _array = [];
//			_array.push("<option value=''>--请选择--</option>");
			_array.push("");
			for ( var i = 0; i < subs.length; i++) {
				_array.push("<option value='" + subs[i].id + "'>"+ subs[i].name + "</option>");
				$("#organization").html(_array.join(""));
			}
			$("#organization").html(_array.join(""));
			// 初始化加载楼栋
			var organizationId = $("#organization").val();
			$.ajax({
				type : 'POST',
				url : '../siteApplication/findBuilding',
				data : {"organizationId":organizationId},
				dataType : 'json',// 返回值类型 一般设置为json
				success : function(data) // 服务器成功响应处理函数
				{
					$("#building").empty();
					var subs = data.msg;// 获取data中list的数组
					var _array = [];
					_array.push("");
					for ( var i = 0; i < subs.length; i++) {
						_array.push("<option value='" + subs[i].id + "'>"+ subs[i].name + "</option>");
						$("#building").html(_array.join(""));
					}
					$("#building").html(_array.join(""));
					initListInfo(1);
				}
			});
			
		}
	
	});
	
    $(".js_detailsOk").click(function(){
        hideDetails();
    });
    $(".js_detailsNo").click(function(){
        hideDetails();
    })
	
	//查询
	$("#btn-search").click(function(){
		initListInfo(1);
	});
	
	//不通过原因
	$("#statusFailed").click(function(){
		$("#s_reasonFailed").show();
	});
	//通过隐藏
	$("#statusPass").click(function(){
		$("#s_reasonFailed").hide();
	});
})


//加载楼栋
function initBuilding(){
		var organizationId = $("#organization").val();
		$.ajax({
			type : 'POST',
			url : '../siteApplication/findBuilding',
			data : {"organizationId":organizationId},
			dataType : 'json',// 返回值类型 一般设置为json
			success : function(data) // 服务器成功响应处理函数
			{
				$("#building").empty();
				var subs = data.msg;// 获取data中list的数组
				var _array = [];
				_array.push("");
				for ( var i = 0; i < subs.length; i++) {
					_array.push("<option value='" + subs[i].id + "'>"+ subs[i].name + "</option>");
					$("#building").html(_array.join(""));
				}
				$("#building").html(_array.join(""));
				
			}
		});
}

// 显示详情
function showDetails(siteId){
	var organization = $("#organization").find("option:selected").text();
	var building = $("#building").find("option:selected").text();
	$("#siteId").val(siteId);
	$.ajax({
		type : 'POST',
		url : '../siteApplication/findaAditDetails',
		data:{"siteId":siteId},
		dataType : 'json',// 返回值类型 一般设置为json
		success : function(data) // 服务器成功响应处理函数
		{
			var subs = data.msg;
			if(data.code == '-1'){
				alert(subs);
				return;
			}
			$("#organizationAudit").html(organization);
			$("#buildingAudit").html(building);
			$("#name").html(subs.name);
			$("#userName").html(subs.userName);
			$("#userMobile").html(subs.userMobile);
			$("#reasonFailed").html(subs.purpose);
			$("#startTimeAudit").val(subs.startTime);
			$("#endTimeAudit").val(subs.endTime);
			if(subs.status == '2'){
				$("#statusPass").attr("checked","checked");
				$("#statusFailed").prop("disabled",true);
				$("#statusType").html("通过");
				$("#auditShow").prop("disabled",true);
			}
			if(subs.status == '0'){
				$("#statusFailed").attr("checked","checked");
				$("#statusPass").prop("disabled",true);
				$("#statusType").html("不通过");
				$("#auditShow").prop("disabled",true);
			}
			$("#reason").html(subs.reason);
			$("#auditTime").html(subs.auditTime);
			$("#auditPerson").html(subs.auditPerson);
			
		}
	});
     $(".details-mask").show();
}
// 隐藏详情
function hideDetails(){
    $(".details-mask").hide();
}


function initListInfo(pageNo){
	var pageNo = $("#pageNo").val();
	if(pageNo == null || pageNo == ''){
		pageNo = 1;
	}
	var organizationId = $("#organization").val();//高校id
	var buildingId = $("#building").val();//楼栋id
	var startTime = $("#startTime").val();
	var endTime = $("#endTime").val();
    
	//初始化加载
	$.ajax({
		type:'POST',
		url:'../siteApplication/findSiteapplicationInfo',
		data:{"pageNo":pageNo,"organizationId":organizationId,"buildingId":buildingId,"startTime":startTime,"endTime":endTime},
		dataType: 'html',//返回值类型 设置为html
		success: function (data)  //服务器成功响应处理函数
		{
            $("#reservationList").html(data);
		}
	});
}

